# Add note message

## Add a message to the note.

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/note/add-message`

Add a message to a note. The body must contain the **note\_id, contact\_id,** and a key of `"type"` set to `"message"`.

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_KEY}} |

#### Request Body

| Name                                          | Type    | Description                                   |
| --------------------------------------------- | ------- | --------------------------------------------- |
| type<mark style="color:red;">\*</mark>        | string  | message                                       |
| contact\_id<mark style="color:red;">\*</mark> | integer | The contact's ID that the note is attached to |
| note\_id<mark style="color:red;">\*</mark>    | integer | The note's ID                                 |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "userId": 1,
    "message": "this is test notewwwwwwwwwwwwwwwwwww",
    "type": "message",
    "parentId": 0,
    "dateCreated": "2021-03-11T12:35:32.000Z",
    "note": {
      "id": 10,
      "contactId": 1794,
      "userId": 1,
      "type": "note",
      "title": "this is test note title",
      "description": null,
      "dateCreated": "2020-09-16T06:49:16.000Z"
    },
    "id": 16,
    "user": {
      "departments": [],
      "roles": [],
      "id": 1,
      "name": "Surendra Suthar",
      "firstName": "Surendra Suthar",
      "lastName": "",
      "photo": "https://uat-drive.acquire.io/suthar/media/2020/10/IMG_2353-(3)-201aff39871a8ccc0f3e9ff0.jpg",
      "email": "surendra@acquire.io",
      "clientId": "",
      "parentId": 0,
      "type": "user",
      "accessLevel": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

**Body (raw)**

```
{
  "type": "message",
  "mentionUsers": [
    "00"
  ],
  "message": "this is test note message",
  "parent_id": 0,
  "note_id": 10,
  "contact_id": 90
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/conversation/conversation-or-notes/note-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
